TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get nominator rewards from a nominator pool

GET
/api/v3/staking/nominatorPools/nominatorRewards

Return rewards for the specified nominator in the specified nominator pool.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

nominator*string

Nominator address in any form.

pool*string

Pool address in any form.

start_utime?integer

Query rewards with a timestamp at or after the specified timestamp.

Range0 <= value
end_utime?integer

Query rewards with a timestamp at or before the specified timestamp.

Range0 <= value
limit?integer

Limit the number of rows to return.

Formatint32
Range1 <= value <= 1000
Default100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/staking/nominatorPools/nominatorRewards?nominator=string&pool=string"
{  "address_book": {    "property1": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    },    "property2": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    }  },  "end_utime": 0,  "rewards": [    {      "reward": "string",      "stake_before": "string",      "tx_hash": "string",      "tx_lt": "0",      "utime": 0    }  ],  "start_utime": 0,  "total_on_page": "string"}